import { http, jumpExport } from '@/utils/http/axios';

// 获取前台用户表列表
export function List(params) {
  return http.request({
    url: '/users/list',
    method: 'get',
    params,
  });
}

// 删除/批量删除前台用户表
export function Delete(params) {
  return http.request({
    url: '/users/delete',
    method: 'POST',
    params,
  });
}

// 添加/编辑前台用户表
export function Edit(params) {
  return http.request({
    url: '/users/edit',
    method: 'POST',
    params,
  });
}

// 修改前台用户表状态
export function Status(params) {
  return http.request({
    url: '/users/status',
    method: 'POST',
    params,
  });
}

// 获取前台用户表指定详情
export function View(params) {
  return http.request({
    url: '/users/view',
    method: 'GET',
    params,
  });
}

// 导出前台用户表
export function Export(params) {
  jumpExport('/users/export', params);
}